Bug 15631 - Move the cities related code to Koha::Cities - part 2
Summary: Move the cities related code to Koha::Cities - part 2
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 14888
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 15:48 UTC by Jonathan Druart
Modified: 2017-01-10 19:37 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15631: Koha::Cities - remove getzipnamecity (1.38 KB, patch)
2016-01-20 16:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15631: Koha::Cities - remove getidcity and GetCities (9.60 KB, patch)
2016-01-20 16:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15631: Koha::Cities - remove getidcity and GetCities (9.65 KB, patch)
2016-01-20 22:32 UTC, natasha
Details | Diff | Splinter Review
Bug 15631: Koha::Cities - remove getzipnamecity (1.43 KB, patch)
2016-01-29 17:52 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15631: Koha::Cities - remove getidcity and GetCities (9.70 KB, patch)
2016-01-29 17:52 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-01-20 15:48:40 UTC
Bug 14888 has been pushed, but there are still some cities related code in C4::Members:
- getzipnamecity (no used)
- getidcity
Comment 1 Jonathan Druart 2016-01-20 16:02:09 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-01-20 16:02:12 UTC Comment hidden (obsolete)
Comment 3 natasha 2016-01-20 22:32:14 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2016-01-29 17:52:28 UTC
Created attachment 47473 [details] [review]
Bug 15631: Koha::Cities - remove getzipnamecity

C4::Members::getzipnamecity was not used and can be remove safely.

Test plan:
  git grep getzipnamecity
should not return any result.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Kyle M Hall 2016-01-29 17:52:35 UTC
Created attachment 47474 [details] [review]
Bug 15631: Koha::Cities - remove getidcity and GetCities

C4::Members::getidcity and C4::Members::GetCities simply retrieved
cities info from the cities table.
The job done in members/memberentry.pl looked really weird and complicated.
Either I have missed something, or this patch can simplify it.

The expected behavior is:
1. Create a new patron => No city selected
2. Edit an existing patron => The borrowers.city value is selected
3. Add a guarantee => The borrowers.city of the guarantor is selected
4. Edit a guarantee => The borrowers.city of the guarantee is selected

Test plan:
Confirm that the expected behaviors are the ones before and after this patch.

Signed-off-by: Natasha <tasham_8@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Brendan Gallagher 2016-02-24 04:07:19 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!